Google Web Toolkit (Beta)
Search this site:

# Interface SourcesTreeEvents

public interface SourcesTreeEvents
// Implemented by `Tree`
A widget that implements this interface sources the events defined by the TreeListener interface.

## Methods

addTreeListener(TreeListener) | Adds a listener interface to receive tree events.
removeTreeListener(TreeListener) | Removes a previously added listener interface.

## Method Detail

### addTreeListener

public void addTreeListener(TreeListener listener)
Adds a listener interface to receive tree events.

#### Parameters

listener
  the listener interface to add

### removeTreeListener

public void removeTreeListener(TreeListener listener)
Removes a previously added listener interface.

#### Parameters

listener
  the listener interface to remove